# $Revision: 1.126 $, $Date: 2010/06/12 19:50:19 $
# TODO
# - review config files in /etc/ant.d. Something seems to be broken there.
# - prepare all BR and test the full build
#   TODO:
#   - stylebook: http://svn.apache.org/viewcvs.cgi/xml/stylebook/
#   - starteam: http://www.borland.com/downloads/download_starteam.html (30-day trial, needs registration)
#   - weblogic: http://www.bea.com/ ? (needs registration)
#
# Conditional build:
%bcond_with	bootstrap	# minimal build for bootstrap
%bcond_with	nonfree		# build tasks with non-distributable dependencies
%bcond_without	antlr		# disable building antlr optional task(s)
%bcond_without	apache_bcel	# disable building apache-bcel optional task(s)
%bcond_without	apache_bsf	# disable building apache-bsf optional task(s)
%bcond_without	apache_log4j	# disable building log4j optional task(s)
%bcond_without	apache_oro	# disable building apache-oro optional task(s)
%bcond_without	apache_regexp	# disable building apache-regexp optional task(s)
%bcond_without	apache_resolver	# disable building apache-resolver optional task(s)
%bcond_without	commons_logging	# disable building commons-logging optional task(s)
%bcond_without	commons_net	# disable building commons-net optional task(s)
%bcond_without	jai		# disable building jai optional task(s)
%bcond_without	javamail	# disable building javamail optional task(s)
%bcond_without	jdepend		# disable building jdepend optional task(s)
%bcond_without	jsch		# disable building jsch optional task(s)
%bcond_without	junit		# disable building junit optional task(s)
%bcond_without	netrexx		# disable building netrexx optional taks(s)

%if %{without nonfree}
%undefine	with_jai
%endif
%if %{with bootstrap}
%undefine	with_antlr
%undefine	with_apache_bcel
%undefine	with_apache_bsf
%undefine	with_apache_log4j
%undefine	with_apache_oro
%undefine	with_apache_regexp
%undefine	with_apache_resolver
%undefine	with_commons_logging
%undefine	with_commons_net
%undefine	with_jai
%undefine	with_javamail
%undefine	with_jdepend
%undefine	with_jsch
%undefine	with_netrexx
%endif

%include	/usr/lib/rpm/macros.java

%define		_rel	11
Summary:	Ant build tool for Java
Summary(fr.UTF-8):	Outil de compilation pour java
Summary(it.UTF-8):	Tool per la compilazione di programmi java
Summary(pl.UTF-8):	Ant - narzędzie do budowania w Javie
Name:		ant
Version:	1.7.1
Release:	%{bootstrap_release %_rel}
License:	Apache
Group:		Development/Languages/Java
Source0:	http://www.apache.org/dist/ant/source/apache-%{name}-%{version}-src.tar.bz2
# Source0-md5:	0d68db4a1ada5c91bcbf53cefd0c2fd7
Source1:	%{name}.conf
Patch0:		%{name}-antRun.patch
# patch1 has been applied to ant sources in svn. It won't be needed for the
# next release of ant.
Patch1:		%{name}-gcjtask.patch
URL:		http://ant.apache.org/
%{?with_antlr:BuildRequires:	antlr}
%{!?with_bootstrap:BuildRequires:	ant}
%{?with_javamail:BuildRequires:	java(jaf)}
%{?with_jai:BuildRequires:	java(jai)}
%{?with_javamail:BuildRequires:	java(javamail)}
%{?with_apache_bcel:BuildRequires:	java-bcel}
%{?with_apache_bsf:BuildRequires:	java-beanshell}
%{?with_apache_bsf:BuildRequires:	java-bsf}
%{?with_commons_logging:BuildRequires:	java-commons-logging}
%{?with_commons_net:BuildRequires:	java-commons-net1}
%{?with_jdepend:BuildRequires:	java-jdepend}
%{?with_jsch:BuildRequires:	java-jsch >= 0.1.21}
%{?with_junit:BuildRequires:	java-junit}
%{?with_apache_log4j:BuildRequires:	java-log4j >= 1.2}
%{?with_netrexx:BuildRequires:	java-netrexx}
%{?with_apache_oro:BuildRequires:	java-oro}
%{?with_apache_regexp:BuildRequires:	java-regexp}
BuildRequires:	java-xerces
%{?with_apache_resolver:BuildRequires:	java-xml-commons-resolver}
BuildRequires:	jdk
BuildRequires:	jpackage-utils
%{?with_apache_bsf:BuildRequires:	jython}
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpm-javaprov
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
Obsoletes:	jakarta-ant
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	ant_home 	%{_datadir}/ant

%description
Platform-independent build tool for Java. Ant is a Java based build
system. Ant is used by apache jakarta & xml projects.

%description -l fr.UTF-8
Ant est un outil de compilation multi-plateformes pour java. Il est
utilisé par les projets apache-jakarta et apache-xml.

%description -l it.UTF-8
Ant e' un tool indipendente dalla piattaforma creato per faciltare la
compilazione di programmi java. Allo stato attuale viene utilizzato
dai progetti apache jakarta ed apache xml.

%description -l pl.UTF-8
Niezależne od platformy narzędzie do budowania w Javie. Ant jest
używany przez projekty apache jakarta i xml.

%package antlr
Summary:	Optional antlr tasks for %{name}
Summary(fr.UTF-8):	Taches antlr optionelles pour %{name}
Summary(pl.UTF-8):	Opcjonalne zadania antlr dla anta
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Requires:	antlr
Conflicts:	ant-optional-clean
Conflicts:	ant-optional-full

%description antlr
Optional antlr tasks for %{name}.

%description antlr -l fr.UTF-8
Taches antlr optionelles pour %{name}.

%description antlr -l pl.UTF-8
Opcjonalne zadania antlr dla anta.

%package apache-bcel
Summary:	Optional apache bcel tasks for %{name}
Summary(fr.UTF-8):	Taches apache bcel optionelles pour %{name}
Summary(pl.UTF-8):	Opcjonalne zadania apache bcel dla anta
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Requires:	java-bcel
Provides:	ant-jakarta-bcel = %{version}-%{release}
Obsoletes:	ant-jakarta-bcel
Conflicts:	ant-optional-clean
Conflicts:	ant-optional-full

%description apache-bcel
Optional apache bcel tasks for %{name}.

%description apache-bcel -l fr.UTF-8
Taches apache bcel optionelles pour %{name}.

%description apache-bcel -l pl.UTF-8
Opcjonalne zadania apache bcel dla anta.

%package apache-bsf
Summary:	Optional apache bsf tasks for %{name}
Summary(fr.UTF-8):	Taches apache bsf optionelles pour %{name}
Summary(pl.UTF-8):	Opcjonalne zadania apache bsf dla anta
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Requires:	java-bsf
Conflicts:	ant-optional-clean
Conflicts:	ant-optional-full

%description apache-bsf
Optional apache bsf tasks for %{name}.

%description apache-bsf -l fr.UTF-8
Taches apache bsf optionelles pour %{name}.

%description apache-bsf -l pl.UTF-8
Opcjonalne zadania apache bsf dla anta.

%package apache-log4j
Summary:	Optional apache log4j tasks for %{name}
Summary(fr.UTF-8):	Taches apache log4j optionelles pour %{name}
Summary(pl.UTF-8):	Opcjonalne zadania apache log4j dla anta
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Requires:	java-log4j >= 1.2
Provides:	ant-jakarta-log4j = %{version}-%{release}
Obsoletes:	ant-jakarta-log4j
Conflicts:	ant-optional-clean
Conflicts:	ant-optional-full

%description apache-log4j
Optional apache log4j tasks for %{name}.

%description apache-log4j -l fr.UTF-8
Taches apache log4j optionelles pour %{name}.

%description apache-log4j -l pl.UTF-8
Opcjonalne zadania apache log4j dla anta.

%package apache-oro
Summary:	Optional apache oro tasks for %{name}
Summary(fr.UTF-8):	Taches apache oro optionelles pour %{name}
Summary(pl.UTF-8):	Opcjonalne zadania apache oro dla anta
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Requires:	java-oro
Provides:	ant-jakarta-oro = %{version}-%{release}
Obsoletes:	ant-jakarta-oro
Conflicts:	ant-optional-clean
Conflicts:	ant-optional-full

%description apache-oro
Optional apache oro tasks for %{name}.

%description apache-oro -l fr.UTF-8
Taches apache oro optionelles pour %{name}.

%description apache-oro -l pl.UTF-8
Opcjonalne zadania apache oro dla anta.

%package apache-regexp
Summary:	Optional apache regexp tasks for %{name}
Summary(fr.UTF-8):	Taches apache regexp optionelles pour %{name}
Summary(pl.UTF-8):	Opcjonalne zadania apache regexp dla anta
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Requires:	java-regexp
Obsoletes:	ant-jakarta-regexp
Conflicts:	ant-optional-clean
Conflicts:	ant-optional-full

%description apache-regexp
Optional apache regexp tasks for %{name}.

%description apache-regexp -l fr.UTF-8
Taches apache regexp optionelles pour %{name}.

%description apache-regexp -l pl.UTF-8
Opcjonalne zadania apache regexp dla anta.

%package apache-resolver
Summary:	Optional apache resolver tasks for %{name}
Summary(fr.UTF-8):	Taches apache resolver optionelles pour %{name}
Summary(pl.UTF-8):	Opcjonalne zadania apache resolver dla anta
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Requires:	java-xml-commons-resolver
Provides:	ant-apache-resolver = %{version}-%{release}
Conflicts:	ant-optional-clean
Conflicts:	ant-optional-full

%description apache-resolver
Optional apache resolver tasks for %{name}.

%description apache-resolver -l fr.UTF-8
Taches apache resolver optionelles pour %{name}.

%package commons-logging
Summary:	Optional commons logging tasks for %{name}
Summary(fr.UTF-8):	Taches commons logging optionelles pour %{name}
Summary(pl.UTF-8):	Opcjonalne zadania commons logging dla anta
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Requires:	java-commons-logging
Conflicts:	ant-optional-clean
Conflicts:	ant-optional-full

%description commons-logging
Optional commons logging tasks for %{name}.

%description commons-logging -l fr.UTF-8
Taches commons logging optionelles pour %{name}.

%description commons-logging -l pl.UTF-8
Opcjonalne zadania commons logging dla anta.

%package commons-net
Summary:	Optional commons net tasks for %{name}
Summary(fr.UTF-8):	Taches commons net optionelles pour %{name}
Summary(pl.UTF-8):	Opcjonalne zadania commons net dla anta
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Requires:	java-commons-net1
Conflicts:	ant-optional-clean
Conflicts:	ant-optional-full

%description commons-net
Optional commons net tasks for %{name}.

%description commons-net -l fr.UTF-8
Taches commons net optionelles pour %{name}.

%description commons-net -l pl.UTF-8
Opcjonalne zadania commons net dla anta.

%package jai
Summary:	Optional jai tasks for %{name}
Summary(fr.UTF-8):	Taches jai optionelles pour %{name}
Summary(pl.UTF-8):	Opcjonalne zadania jai dla anta
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Requires:	jai
Conflicts:	ant-optional-clean
Conflicts:	ant-optional-full

%description jai
Optional jai tasks for %{name}.

%description jai -l fr.UTF-8
Taches jai optionelles pour %{name}.

%description jai -l pl.UTF-8
Opcjonalne zadania jai dla anta.

%package javamail
Summary:	Optional javamail tasks for %{name}
Summary(fr.UTF-8):	Taches javamail optionelles pour %{name}
Summary(pl.UTF-8):	Opcjonalne zadania javamail dla anta
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Requires:	java(jaf)
Requires:	java(javamail) >= 1.2
Conflicts:	ant-optional-clean
Conflicts:	ant-optional-full

%description javamail
Optional javamail tasks for %{name}.

%description javamail -l fr.UTF-8
Taches javamail optionelles pour %{name}.

%description javamail -l pl.UTF-8
Opcjonalne zadania javamail dla anta.

%package jdepend
Summary:	Optional jdepend tasks for %{name}
Summary(fr.UTF-8):	Taches jdepend optionelles pour %{name}
Summary(pl.UTF-8):	Opcjonalne zadania jdepend dla anta
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Requires:	java-jdepend
Conflicts:	ant-optional-clean
Conflicts:	ant-optional-full

%description jdepend
Optional jdepend tasks for %{name}.

%description jdepend -l fr.UTF-8
Taches jdepend optionelles pour %{name}.

%description jdepend -l pl.UTF-8
Opcjonalne zadania jdepend dla anta.

%package jmf
Summary:	Optional jmf tasks for %{name}
Summary(fr.UTF-8):	Taches jmf optionelles pour %{name}
Summary(pl.UTF-8):	Opcjonalne zadania jmf dla anta
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Conflicts:	ant-optional-clean
Conflicts:	ant-optional-full

%description jmf
Optional jmf tasks for %{name}.

%description jmf -l fr.UTF-8
Taches jmf optionelles pour %{name}.

%description jmf -l pl.UTF-8
Opcjonalne zadania jmf dla anta.

%package jsch
Summary:	Optional jsch tasks for %{name}
Summary(fr.UTF-8):	Taches jsch optionelles pour %{name}
Summary(pl.UTF-8):	Opcjonalne zadania jsch dla anta
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Requires:	java-jsch
Conflicts:	ant-optional-clean
Conflicts:	ant-optional-full

%description jsch
Optional jsch tasks for %{name}.

%description jsch -l fr.UTF-8
Taches jsch optionelles pour %{name}.

%description jsch -l pl.UTF-8
Opcjonalne zadania jsch dla anta.

%package junit
Summary:	Optional junit tasks for %{name}
Summary(fr.UTF-8):	Taches junit optionelles pour %{name}
Summary(pl.UTF-8):	Opcjonalne zadania junit dla anta
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Requires:	java-junit
Conflicts:	ant-optional-clean
Conflicts:	ant-optional-full

%description junit
Optional junit tasks for %{name}.

%description junit -l fr.UTF-8
Taches junit optionelles pour %{name}.

%description junit -l pl.UTF-8
Opcjonalne zadania junit dla anta.

%package netrexx
Summary:	Optional netrexx tasks for %{name}
Summary(fr.UTF-8):	Taches netrexx optionelles pour %{name}
Summary(pl.UTF-8):	Opcjonalne zadania netrexx dla anta
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Conflicts:	ant-optional-clean
Conflicts:	ant-optional-full

%description netrexx
Optional netrexx tasks for %{name}.

%description netrexx -l fr.UTF-8
Taches netrexx optionelles pour %{name}.

%description netrexx -l pl.UTF-8
Opcjonalne zadania netrexx dla anta.

%package nodeps
Summary:	Optional tasks for %{name}
Summary(fr.UTF-8):	Taches optionelles pour %{name}
Summary(pl.UTF-8):	Opcjonalne zadania dla anta
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Conflicts:	ant-optional-clean
Conflicts:	ant-optional-full

%description nodeps
Optional tasks for %{name}.

%description nodeps -l fr.UTF-8
Taches optionelles pour %{name}.

%description nodeps -l pl.UTF-8
Opcjonalne zadania dla anta.

%package swing
Summary:	Optional swing tasks for %{name}
Summary(fr.UTF-8):	Taches swing optionelles pour %{name}
Summary(pl.UTF-8):	Opcjonalne zadania swing dla anta
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Conflicts:	ant-optional-clean
Conflicts:	ant-optional-full

%description swing
Optional swing tasks for %{name}.

%description swing -l fr.UTF-8
Taches swing optionelles pour %{name}.

%description swing -l pl.UTF-8
Opcjonalne zadania swing dla anta.

%package trax
Summary:	Optional trax tasks for %{name}
Summary(fr.UTF-8):	Taches trax optionelles pour %{name}
Summary(pl.UTF-8):	Dodatkowe zadania trax dla anta
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Requires:	java(jaxp_transform_impl)
# The ant-xalan jar has been merged into the ant-trax one
Obsoletes:	ant-xalan2
Conflicts:	ant-optional-clean
Conflicts:	ant-optional-full

%description trax
Optional trax tasks for %{name}.

%description trax -l fr.UTF-8
Taches trax optionelles pour %{name}.

%description trax -l pl.UTF-8
Dodatkowe zadania trax dla anta.

%package scripts
Summary:	Additional scripts for %{name}
Summary(fr.UTF-8):	Scripts additionels pour %{name}
Summary(pl.UTF-8):	Dodatkowe skrypty dla anta
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Requires:	/usr/bin/perl
Requires:	/usr/bin/python
AutoReqProv:	no

%description scripts
Additional Perl and Python scripts for %{name}.

%description scripts -l fr.UTF-8
Scripts additionels pour %{name}.

%description scripts -l pl.UTF-8
Dodatkowe skrypty dla anta.

%package doc
Summary:	Manual for %{name}
Summary(fr.UTF-8):	Documentation pour %{name}
Summary(it.UTF-8):	Documentazione di %{name}
Summary(pl.UTF-8):	Podręcznik dla anta
Group:		Development/Languages/Java

%description doc
Documentation for %{name}.

%description doc -l fr.UTF-8
Documentation pour %{name}.

%description doc -l it.UTF-8
Documentazione di %{name}.

%description doc -l pl.UTF-8
Dokumentacja do anta.

%package javadoc
Summary:	Online manual for ant
Summary(pl.UTF-8):	Dokumentacja online do ant
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	jakarta-ant-doc

%description javadoc
Documentation for ant, platform-independent build tool for Java. Used
by Apache Group for jakarta and xml projects.

%description javadoc -l pl.UTF-8
Dokumentacja do anta - niezależnego od platformy narzędzia do
budowania w Javie. Jest ono używane przez Apache Group w projektach
jakarta i xml.

%prep
%setup -q -n apache-%{name}-%{version}
%patch0 -p1
%patch1 -p1

# clean jar files
find . -name "*.jar" -exec rm -f {} \;

sed -i -e 's|@BINDIR@|%{_bindir}|g' \
	src/main/org/apache/tools/ant/taskdefs/Exec.java \
	src/main/org/apache/tools/ant/taskdefs/Execute.java

# fix link between manual and javadoc
ln -sf %{_javadocdir}/%{name}-%{version} docs/manual/api

%build
export JAVA_HOME="%{java_home}"

required_jars="jaxp_parser_impl"
%{?with_junit:required_jars="$required_jars junit"}
%{?with_antlr:required_jars="$required_jars antlr"}
%{?with_apache_bsf:required_jars="$required_jars bsf jython bsh"}
%{?with_apache_resolver:required_jars="$required_jars resolver"}
%{?with_commons_logging:required_jars="$required_jars commons-logging"}
%{?with_commons_net:required_jars="$required_jars commons-net1"}
%{?with_jai:required_jars="$required_jars jai_core jai_codec"}
%{?with_apache_bcel:required_jars="$required_jars bcel"}
%{?with_apache_log4j:required_jars="$required_jars log4j"}
%{?with_apache_oro:required_jars="$required_jars oro"}
%{?with_apache_regexp:required_jars="$required_jars regexp"}
%{?with_javamail:required_jars="$required_jars mail activation"}
%{?with_jdepend:required_jars="$required_jars jdepend"}
%{?with_jsch:required_jars="$required_jars jsch"}
%{?with_netrexx:required_jars="$required_jars NetRexxC"}

CLASSPATH=$(build-classpath $required_jars)
export CLASSPATH

export SHELL=/bin/sh

%if %{with bootstrap}
sh build.sh --noconfig main javadocs
%else
%ant -Dbuild.compiler=extJavac main javadocs
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}/%{name}.d} \
		$RPM_BUILD_ROOT{%{_javadir}/%{name},%{ant_home}/{lib,etc}}

install dist/bin/{ant,antRun,runant.pl,runant.py} $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf

# XSLs
cp -p src%{_sysconfdir}/*.xsl $RPM_BUILD_ROOT%{ant_home}%{_sysconfdir}

# base jars
install dist/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install dist/lib/%{name}-launcher.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-launcher-%{version}.jar

# optional jars
install build/lib/%{name}-nodeps.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-nodeps-%{version}.jar
install build/lib/%{name}-trax.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-trax-%{version}.jar
install build/lib/%{name}-jmf.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jmf-%{version}.jar
install build/lib/%{name}-swing.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-swing-%{version}.jar
echo "ant/ant-jmf" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/jmf
echo "ant/ant-nodeps" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/nodeps
echo "ant/ant-swing" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/swing
echo "jaxp_transform_impl ant/ant-trax" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/trax

%if %{with junit}
install build/lib/%{name}-junit.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-junit-%{version}.jar
echo "junit ant/ant-junit" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/junit
%else
rm $RPM_BUILD_ROOT%{ant_home}%{_sysconfdir}/junit-{no,}frames.xml
%endif

%if %{with antlr}
install build/lib/%{name}-antlr.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-antlr-%{version}.jar
echo "antlr ant/ant-antlr" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/antlr
%endif

%if %{with apache_bsf}
install build/lib/%{name}-apache-bsf.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-apache-bsf-%{version}.jar
echo "bsf ant/ant-apache-bsf" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-bsf
%endif

%if %{with apache_resolver}
install build/lib/%{name}-apache-resolver.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-apache-resolver-%{version}.jar
echo "resolver ant/ant-apache-resolver" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-resolver
%endif

%if %{with commons_logging}
install build/lib/%{name}-commons-logging.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-commons-logging-%{version}.jar
echo "commons-logging ant/ant-commons-logging" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/commons-logging
%endif

%if %{with commons_net}
install build/lib/%{name}-commons-net.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-commons-net-%{version}.jar
echo "commons-net1 ant/ant-commons-net" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/commons-net
%endif

%if %{with jai}
install build/lib/%{name}-jai.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jai-%{version}.jar
echo "jai ant/ant-jai" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/jai
%endif

%if %{with apache_bcel}
install build/lib/%{name}-apache-bcel.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-apache-bcel-%{version}.jar
ln -sf %{name}-apache-bcel.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jakarta-bcel.jar
echo "bcel ant/ant-apache-bcel" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-bcel
%endif

%if %{with apache_log4j}
install build/lib/%{name}-apache-log4j.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-apache-log4j-%{version}.jar
ln -sf %{name}-apache-log4j.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jakarta-log4j.jar
echo "log4j ant/ant-log4j" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-log4j
%endif

%if %{with apache_oro}
install build/lib/%{name}-apache-oro.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-apache-oro-%{version}.jar
ln -sf %{name}-apache-oro.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jakarta-oro.jar
echo "oro ant/ant-apache-oro" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-oro
%else
rm $RPM_BUILD_ROOT%{ant_home}%{_sysconfdir}/maudit-frames.xsl
%endif

%if %{with apache_regexp}
install build/lib/%{name}-apache-regexp.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-apache-regexp-%{version}.jar
echo "regexp ant/ant-apache-regexp" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-regexp
ln -sf %{name}-apache-regexp.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jakarta-regexp.jar
%endif

%if %{with javamail}
install build/lib/%{name}-javamail.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-javamail-%{version}.jar
echo "mail jaf ant/ant-javamail" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/javamail
%endif

%if %{with jdepend}
install build/lib/%{name}-jdepend.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jdepend-%{version}.jar
echo "jdepend ant/ant-jdepend" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/jdepend
%else
rm $RPM_BUILD_ROOT%{ant_home}%{_sysconfdir}/jdepend*
%endif

%if %{with jsch}
install build/lib/%{name}-jsch.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jsch-%{version}.jar
echo "jsch ant/ant-jsch" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/jsch
%endif

%if %{with netrexx}
install build/lib/%{name}-netrexx.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-netrexx-%{version}.jar
echo "netrexx ant/ant-netrexx" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/netrexx
%endif

# jar aliases
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(644,root,root,755)
%doc KEYS LICENSE* README WHATSNEW
%attr(755,root,root) %{_bindir}/ant
%attr(755,root,root) %{_bindir}/antRun
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-launcher.jar
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}-launcher-%{version}.jar
%dir %{_javadir}/%{name}
%dir %{ant_home}
%dir %{ant_home}%{_sysconfdir}
%{ant_home}%{_sysconfdir}/ant-update.xsl
%{ant_home}%{_sysconfdir}/changelog.xsl
%{ant_home}%{_sysconfdir}/common2master.xsl
%{ant_home}%{_sysconfdir}/log.xsl
%{ant_home}%{_sysconfdir}/tagdiff.xsl
%{ant_home}%{_sysconfdir}/junit-frames-xalan1.xsl
%dir %{ant_home}/lib
%dir %{_sysconfdir}/%{name}.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf

%if %{with antlr}
%files antlr
%defattr(644,root,root,755)
%{_javadir}/%{name}/%{name}-antlr.jar
%{_javadir}/%{name}/%{name}-antlr-%{version}.jar
%{_sysconfdir}/%{name}.d/antlr
%endif

%if %{with apache_bcel}
%files apache-bcel
%defattr(644,root,root,755)
%{_javadir}/%{name}/%{name}-apache-bcel.jar
%{_javadir}/%{name}/%{name}-apache-bcel-%{version}.jar
%{_javadir}/%{name}/%{name}-jakarta-bcel.jar
%{_sysconfdir}/%{name}.d/apache-bcel
%endif

%if %{with apache_bsf}
%files apache-bsf
%defattr(644,root,root,755)
%{_javadir}/%{name}/%{name}-apache-bsf.jar
%{_javadir}/%{name}/%{name}-apache-bsf-%{version}.jar
%{_sysconfdir}/%{name}.d/apache-bsf
%endif

%if %{with apache_log4j}
%files apache-log4j
%defattr(644,root,root,755)
%{_javadir}/%{name}/%{name}-apache-log4j.jar
%{_javadir}/%{name}/%{name}-apache-log4j-%{version}.jar
%{_javadir}/%{name}/%{name}-jakarta-log4j.jar
%{_sysconfdir}/%{name}.d/apache-log4j
%endif

%if %{with apache_oro}
%files apache-oro
%defattr(644,root,root,755)
%{_javadir}/%{name}/%{name}-apache-oro.jar
%{_javadir}/%{name}/%{name}-apache-oro-%{version}.jar
%{_javadir}/%{name}/%{name}-jakarta-oro.jar
%{_sysconfdir}/%{name}.d/apache-oro
%{ant_home}%{_sysconfdir}/maudit-frames.xsl
%endif

%if %{with apache_regexp}
%files apache-regexp
%defattr(644,root,root,755)
%{_javadir}/%{name}/%{name}-apache-regexp.jar
%{_javadir}/%{name}/%{name}-apache-regexp-%{version}.jar
%{_javadir}/%{name}/%{name}-jakarta-regexp.jar
%{_sysconfdir}/%{name}.d/apache-regexp
%endif

%if %{with apache_resolver}
%files apache-resolver
%defattr(644,root,root,755)
%{_javadir}/%{name}/%{name}-apache-resolver.jar
%{_javadir}/%{name}/%{name}-apache-resolver-%{version}.jar
%{_sysconfdir}/%{name}.d/apache-resolver
%endif

%if %{with commons_logging}
%files commons-logging
%defattr(644,root,root,755)
%{_javadir}/%{name}/%{name}-commons-logging.jar
%{_javadir}/%{name}/%{name}-commons-logging-%{version}.jar
%{_sysconfdir}/%{name}.d/commons-logging
%endif

%if %{with commons_net}
%files commons-net
%defattr(644,root,root,755)
%{_javadir}/%{name}/%{name}-commons-net.jar
%{_javadir}/%{name}/%{name}-commons-net-%{version}.jar
%{_sysconfdir}/%{name}.d/commons-net
%endif

%if %{with jai}
%files jai
%defattr(644,root,root,755)
%{_javadir}/%{name}/%{name}-jai.jar
%{_javadir}/%{name}/%{name}-jai-%{version}.jar
%{_sysconfdir}/%{name}.d/jai
%endif

%if %{with javamail}
%files javamail
%defattr(644,root,root,755)
%{_javadir}/%{name}/%{name}-javamail.jar
%{_javadir}/%{name}/%{name}-javamail-%{version}.jar
%{_sysconfdir}/%{name}.d/javamail
%endif

%if %{with jdepend}
%files jdepend
%defattr(644,root,root,755)
%{_javadir}/%{name}/%{name}-jdepend.jar
%{_javadir}/%{name}/%{name}-jdepend-%{version}.jar
%{_sysconfdir}/%{name}.d/jdepend
%{ant_home}%{_sysconfdir}/jdepend.xsl
%{ant_home}%{_sysconfdir}/jdepend-frames.xsl
%endif

%files jmf
%defattr(644,root,root,755)
%{_javadir}/%{name}/%{name}-jmf.jar
%{_javadir}/%{name}/%{name}-jmf-%{version}.jar
%{_sysconfdir}/%{name}.d/jmf

%if %{with jsch}
%files jsch
%defattr(644,root,root,755)
%{_javadir}/%{name}/%{name}-jsch.jar
%{_javadir}/%{name}/%{name}-jsch-%{version}.jar
%{_sysconfdir}/%{name}.d/jsch
%endif

%if %{with junit}
%files junit
%defattr(644,root,root,755)
%{_javadir}/%{name}/%{name}-junit.jar
%{_javadir}/%{name}/%{name}-junit-%{version}.jar
%{_sysconfdir}/%{name}.d/junit
%{ant_home}%{_sysconfdir}/junit-frames.xsl
%{ant_home}%{_sysconfdir}/junit-noframes.xsl
%endif

%if %{with netrexx}
%files netrexx
%defattr(644,root,root,755)
%{_javadir}/%{name}/%{name}-netrexx.jar
%{_javadir}/%{name}/%{name}-netrexx-%{version}.jar
%{_sysconfdir}/%{name}.d/netrexx
%endif

%files nodeps
%defattr(644,root,root,755)
%{_javadir}/%{name}/%{name}-nodeps.jar
%{_javadir}/%{name}/%{name}-nodeps-%{version}.jar
%{_sysconfdir}/%{name}.d/nodeps

%files swing
%defattr(644,root,root,755)
%{_javadir}/%{name}/%{name}-swing.jar
%{_javadir}/%{name}/%{name}-swing-%{version}.jar
%{_sysconfdir}/%{name}.d/swing

%files trax
%defattr(644,root,root,755)
%{_javadir}/%{name}/%{name}-trax.jar
%{_javadir}/%{name}/%{name}-trax-%{version}.jar
%{_sysconfdir}/%{name}.d/trax
%{ant_home}%{_sysconfdir}/mmetrics-frames.xsl
%{ant_home}%{_sysconfdir}/coverage-frames.xsl

%files scripts
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*.pl
%attr(755,root,root) %{_bindir}/*.py

%files doc
%defattr(644,root,root,755)
%doc docs/*

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ant.spec,v $
Revision 1.126  2010/06/12 19:50:19  pawelz
- more jakarta -> java deps updated. Thx glen.
- rel 11

Revision 1.125  2010/04/28 19:00:33  pawelz
- rel 10

Revision 1.124  2010/04/28 19:00:05  pawelz
- updated deps

Revision 1.123  2010/04/28 18:55:36  pawelz
- updated and sorted deps

Revision 1.122  2010/04/20 15:46:46  pawelz
- s/junit/java-junit/ in deps
- rel 9

Revision 1.121  2010/04/19 14:15:49  pawelz
- rel 8

Revision 1.120  2010/04/19 13:04:43  pawelz
- ant-commons-net task is for commons-net1

Revision 1.119  2010/04/19 11:04:11  pawelz
- give bootstrap_release macro one more chance

Revision 1.118  2010/04/19 09:15:31  pawelz
- fixed java(javamail) dep
- rel 7

Revision 1.117  2010/04/18 13:33:56  jajcus
- dependency names updated

Revision 1.116  2010/04/17 16:36:09  jajcus
- jai->java(jai), jaf->java(jaf)

Revision 1.115  2009/10/26 20:15:02  pawelz
- reverted %_rel macro. It is needed by relup.sh script. (thx glen)

Revision 1.114  2009/10/22 07:33:26  pawelz
- dropped _rel macro. It makes no sense to define _rel macro to use it in
  Release tag only.

Revision 1.113  2009/10/21 21:33:13  pawelz
- updated java-mail related jar names and deps.

Revision 1.112  2009/10/21 19:41:30  pawelz
- updated some jar names in ant config

Revision 1.111  2009/07/20 05:50:53  pawelz
- jdk BRs
- include java rpm macros
- BR ant (unless with bootstrap)

Revision 1.110  2009/07/19 13:29:01  pawelz
- renamed some dependencies (jakarta-... -> java-...)
- rel 5

Revision 1.109  2009/02/19 12:27:16  pawelz
- do not R: jdk

Revision 1.108  2009/02/09 18:30:32  pawelz
- BR: xerces
- adapterized

Revision 1.107  2009/02/07 23:48:15  pawelz
- s/xml-commons-resolver/java-xml-commons-resolver/ in BRs

Revision 1.106  2009/02/07 23:43:09  pawelz
- removed EA

Revision 1.105  2009/02/07 22:42:35  pawelz
- build it using gnu-java

Revision 1.104  2009/02/01 21:08:07  pawelz
- do not bootstrap when built without bootstra[

Revision 1.103  2009/01/30 10:59:09  pawelz
- BR: java-sun, not "any" jdk. That is because gcj supports
  source level >= 1.3, while ant sources are 1.2

Revision 1.102  2009/01/30 10:53:54  glen
- don't use export and assignment on same line, subprocess exit code is lost this way

Revision 1.101  2009/01/29 19:53:40  pawelz
- use $() instead of ``
- comment about patch1
- rel 4 (because of updated patch)

Revision 1.100  2009/01/28 09:42:00  pawelz
- added Patch 2 (use "source" attribute when javac is gcj)
- rel 3

Revision 1.99  2008/11/02 02:00:10  pawelz
- up to 1.7.1

Revision 1.98  2008/10/23 04:56:21  qboosh
- broken adapter?

Revision 1.97  2008/10/22 22:45:12  pawelz
- adapterized
- fixed last log message

Revision 1.96  2008/10/22 22:21:45  pawelz
- do not modify $RPM_BUILD_DIR in %install. It breaks ./repackage.sh.

Revision 1.95  2008/10/22 22:08:01  pawelz
- create %ghost symlink in %post
- now I do understand how to package %ghosted file

Revision 1.94  2008/10/21 12:12:39  glen
- unify java package (template-java.spec)

Revision 1.93  2008/10/21 09:33:37  pawelz
- do not create/delete files in %post/%postun. Use %install/%files sections

Revision 1.92  2007/12/27 17:24:08  glen
- rel 2

Revision 1.91  2007-09-19 16:46:34  baggins
- rel 1

Revision 1.90  2007/09/19 16:36:43  baggins
- typo

Revision 1.89  2007/09/19 15:01:26  baggins
- typo

Revision 1.88  2007/09/19 14:59:52  baggins
- even better versioning

Revision 1.87  2007/09/19 14:55:12  baggins
- fix versioning so bootsrap < not-bootstrap

Revision 1.86  2007/09/19 14:50:17  baggins
- added BR: jdepend

Revision 1.85  2007/05/03 22:41:45  glen
- %{without ...} works fine

Revision 1.84  2007/04/29 23:28:02  qboosh
- some links

Revision 1.83  2007/04/29 23:19:07  qboosh
- finished jdepend task

Revision 1.82  2007/04/29 22:54:34  qboosh
- updated todo

Revision 1.81  2007/04/29 22:52:07  qboosh
- finished jai task (+nonfree bcond to disable by default all tasks which require
  non-distributable packages)

Revision 1.80  2007/03/06 16:44:23  qrczak
- BR: xml-commons-resolver when --with apache_resolver

Revision 1.79  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.78  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.77  2007/01/31 19:11:54  qboosh
- fixed and enabled -apache-resolver
- added -netrexx

Revision 1.76  2007/01/07 15:02:34  qboosh
- fixed commons-logging and commons-net

Revision 1.75  2007/01/07 13:44:52  qboosh
- bcond typos

Revision 1.74  2007/01/07 13:40:40  qboosh
- added missing file
- killed invalid usage of _sysconfdir macro

Revision 1.73  2007/01/07 13:01:36  qboosh
- require log4j >= 1.2 (for org.apache.log4j.Logger); fixed apache_log4j bcond

Revision 1.72  2007/01/07 12:42:59  qboosh
- BR: jsch >= 0.1.21 (for com.jcraft.jsch.ChannelSftp.LsEntry class)

Revision 1.71  2007/01/03 19:42:38  sls
- version up to 1.7.0 (NFY)
- removed outdated patch ant_d; patch antRun updated

Revision 1.70  2006/12/08 00:57:39  glen
- -javadoc R: jpackage-utils for parent dirs

Revision 1.69  2006/09/12 13:15:59  baggins
- release 4

Revision 1.68  2006/09/12 13:15:37  baggins
- typos

Revision 1.67  2006/09/12 13:06:29  baggins
- rel 3.1
- first try at fixing antRun breakage caused by our packaging

Revision 1.66  2006/07/21 11:40:00  hawk
- release 3

Revision 1.65  2006/07/21 11:38:51  hawk
- require just jaf, without version, fixes deps for jaf provided by
  java-gnu-activation

Revision 1.64  2006/07/17 14:24:21  glen
- let bootstrap release be lower than complete package

Revision 1.63  2006/07/17 14:21:42  glen
- fix jar names (beanshell->bsh, jaf->activation)

Revision 1.62  2006/05/26 14:51:41  qboosh
- typo

Revision 1.61  2006/05/26 14:48:00  qboosh
- missing dir

Revision 1.60  2006/05/26 12:00:57  jajcus
- Release: 2
- apache_resolver bcond disabled by default
- s/jakarta-log4j/logging-log4j/
- several other fixes for non-bootstrap build

Revision 1.59  2006/05/26 11:41:24  jajcus
- typo fixed

Revision 1.58  2006/05/25 22:18:31  qboosh
- dropped "jpp" releases, adjusted required package names

Revision 1.57  2006/05/25 22:12:17  qboosh
- pl for subpackages, merged fr summaries from descs
- dropped Provides with self N(E)VR
- dropped unset epoch from Provides/Requires

Revision 1.56  2006/05/24 08:35:27  jajcus
- BR: jpackage-utils

Revision 1.55  2006/05/23 20:34:37  glen
- rpmbuild(macros) >= 1.300 instead of macros.java rpm-javaprov

Revision 1.54  2006/05/21 20:24:29  glen
- use rpm-javaprov

Revision 1.53  2006/05/21 18:03:55  jajcus
- R: jpackage-utils >= 0:1.6.6-3 (so unset $JAVA_HOME is really not needed)

Revision 1.52  2006/05/21 12:33:05  glen
- adapter
- no point to unset JAVA_HOME if it's set on next line ;)

Revision 1.51  2006/05/21 11:13:04  jajcus
- Release: 1.2 (for bootstrap build for Ac)

Revision 1.50  2006/05/20 18:13:31  jajcus
- ignore unset exit status

Revision 1.49  2006/05/20 18:00:48  jajcus
- use %{java_home} macro (computet by jpackage-utils) to get valid JAVA_HOME
  and ignore environment setting
- do not force specific jaf/javamail implementation (let jpackage choose it)
  (specific impl. may be enforced by BR only in future)

Revision 1.48  2006/05/19 13:48:29  jajcus
- use jpackage-utils for rpm macros and preparing $CLASSPATH

Revision 1.47  2006/05/19 11:17:00  jajcus
- package renamed to "ant"
- bconds for all optional tasks requiring more than just JDK to build
- package split, based on JPackage Project
- CLASSPAT autoconfiguration from /etc/ant.d (based on JPackage Project)
- other build improvements from JPackage Project

Revision 1.46  2006/05/10 20:28:13  glen
- add todo

Revision 1.45  2005/07/31 13:34:12  prism
- rpm-pythonprov is needed to build it

Revision 1.44  2005/07/28 10:01:48  pawcioos
- updated to 1.6.5

Revision 1.43  2005/05/08 18:48:27  qboosh
- include junit in basic functionality (with bcond)
  - it's quite commonly used, incl. packages BRed for non-basic functionality
- make ant-junit.jar build properly by setting CLASSPATH

Revision 1.42  2005/05/08 16:22:58  qboosh
- uh, beanshell is checked (to support it in script task)

Revision 1.41  2005/05/08 16:20:35  qboosh
- revised BRs for non-basic functionality

Revision 1.40  2005/05/07 10:13:07  qboosh
- updated to 1.6.3, updated ANT_HOME patch
- dropped __rel macro, basic/full releases may differ

Revision 1.39  2005/04/09 15:50:41  saq
- always set JAVA_HOME

Revision 1.38  2005/04/01 14:48:37  maho
- fixed bcond formatting

Revision 1.37  2004/12/20 19:13:28  baggins
- set different release for basic_functionality build

Revision 1.36  2004/12/20 19:12:11  baggins
- added basic_functionality bcond

Revision 1.35  2004/12/14 16:23:00  baggins
- release 3
- I guess _nobody_ _really_ _used_ _this_, cause install was totally fucked up

Revision 1.34  2004/12/14 13:11:50  baggins
- release 2
- added some BRs

Revision 1.33  2004/08/22 00:28:38  qboosh
- jaxp_transform_impl.jar is not provided here
- fixed JAVA_HOME

Revision 1.32  2004/08/21 00:00:17  qboosh
- xerces-j version is 2.6.2 now

Revision 1.31  2004/08/15 19:55:16  luzik
 - updated to 1.6.2

Revision 1.30  2004/07/15 15:07:07  pluto
- P(jaxp_tranform_impl): added.

Revision 1.29  2004/07/10 09:29:39  pluto
- updated to 1.6.2beta1 (lots of bugfixes).

Revision 1.28  2004/05/13 19:17:49  ankry
- cosmetics

Revision 1.27  2004/05/12 22:15:58  undefine
- fr/it translation from SF

Revision 1.26  2004/04/06 20:35:15  qboosh
- more xerces provides (P: jaxp_parser_impl + symlink)

Revision 1.25  2004/04/06 20:15:44  qboosh
- it contains xerces-j 2.6.1 (but without docs) - Provides+Obsoletes added

Revision 1.24  2004/03/31 19:11:19  luzik
 - updated to 1.6.1
 - changes in %install section

Revision 1.23  2003/11/07 00:30:04  pius
- up to 1.5.4
- removed outdated patch

Revision 1.22  2003/07/02 12:02:56  pascalek
- Release 2; patched against jdk1.4.2

Revision 1.21  2003/05/28 12:59:13  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 05:49:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/05/21 19:48:10  aflinta
- get rid of java-env

Revision 1.18  2003/04/09 11:49:35  mkierus
- updated to 1.5.3

Revision 1.17  2003/03/14 17:15:11  qboosh
- use relative symlink within one directory (is it needed anyway?)

Revision 1.16  2003/03/05 11:23:17  misiek
- updated to 1.5.2

Revision 1.15  2003/03/04 11:39:40  qboosh
- updated URL

Revision 1.14  2003/02/19 10:22:02  pascalek
- using java-env

Revision 1.13  2002/12/17 10:15:43  qboosh
- updated Source0 URL, switched to .bz2

Revision 1.12  2002/11/26 23:10:43  misiek
- updated to 1.5.1

Revision 1.11  2002/08/24 20:18:50  qboosh
- standarized JAVA_HOME, Requires: jdk
- added standard JAVA_HOME detection to ANT_HOME patch

Revision 1.10  2002/08/18 17:12:21  blues
- release 4 - license fix, new doc

Revision 1.9  2002/05/14 08:53:51  blues
- release 3
- exit when JAVA_HOME is not set

Revision 1.8  2002/04/25 16:38:27  arturs
fixed a small typo

Revision 1.7  2002/03/21 14:38:55  wiget
- make ant work out of the box (ANT_HOME.patch)
- fix CLASSPATH definition (don't add CLASSPATH from env. outside spec, this grow entropy)

/usr/share/java/lib symlink look very strange...

Revision 1.6  2002/03/12 18:41:31  aflinta
 - changed buildrequires to jdk, every Java Development package should provide it
 - changed JAVA_HOME initialization to proper directory
 - release 2

Revision 1.5  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:13:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/11/30 11:57:46  qboosh
- pl descriptions, cosmetics, removed bashisms

Revision 1.2  2001/11/16 11:31:33  krzyszcz
- updated to 1.4.1.

Revision 1.1  2001/10/02 08:31:12  pascalek
- initial revision
